<form class="example-form" (ngSubmit)="onSubmit()" [formGroup]="iconographyEditForm" enctype="multipart/form-data">
	<div mat-dialog-content >
		<mat-form-field class="full-content">
			<input value="{{this.data['data']['title']}}" matInput placeholder="Título" type="text" formControlName="title" #title required [errorStateMatcher]="matcher">
			<mat-error *ngIf="iconographyEditForm.get('title').invalid && iconographyEditForm.get('title').errors.required && iconographyEditForm.get('title').dirty">
				Ingrese un título
			</mat-error>
			<mat-error *ngIf="iconographyEditForm.get('title').invalid && iconographyEditForm.get('title').errors.minlength && iconographyEditForm.get('title').dirty">
				Título debe tener mínimo 4 caracteres
			</mat-error>

		</mat-form-field>

		<input class="inputImgFile ng-hide" type="file" accept="image/*" formControlName="imgfile" (change)="onFileSelectedEdit($event)" />



	</div>
	<div mat-dialog-actions align="center" >
		<button mat-raised-button (click)="onNoClick()" class="center-elem">Cerrar</button>
		<button mat-raised-button color="warn" type="submit" cdkFocusInitial class="center-elem">Guardar</button>
	</div>
</form>
